import { SimpleLocalIntegration } from '../../core/index.js';
import { UnifiAccessConfigFlow } from './unifi_access.classes.configflow.js';
import { createUnifiAccessDiscoveryDescriptor } from './unifi_access.discovery.js';
import type { IUnifiAccessConfig } from './unifi_access.types.js';
import { unifiAccessDomain, unifiAccessProfile } from './unifi_access.types.js';

export class UnifiAccessIntegration extends SimpleLocalIntegration<IUnifiAccessConfig> {
  public readonly domain = unifiAccessDomain;
  public readonly discoveryDescriptor = createUnifiAccessDiscoveryDescriptor();
  public readonly configFlow = new UnifiAccessConfigFlow();

  constructor() {
    super(unifiAccessProfile);
  }
}

export class HomeAssistantUnifiAccessIntegration extends UnifiAccessIntegration {}
